> For the complete documentation index, see [llms.txt](https://docs.abbey.io/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.abbey.io/reference/grant-kits.md).

# Grant Kits

A Grant Kit allows you to automatically control and right-size permissions to sensitive resources. Grant Kits allow you to define [Workflows](/reference/grant-kits/grant-workflows.md) (how someone should get access), [Policies](/reference/grant-kits/policies.md) (if they should get access), and an [Outputs](/reference/grant-kits/outputs.md)  template (how and where you want the automated permission grants to materialize) for a specific Target resource.

## Grant Kit Spec

```hcl
resource "abbey_grant_kit" "this" {
    workflow = { ... } # _how_ an identity should get access.
    policies = { ... } # _if_ an identity should get access.
    output = { ... }   # _how_ and _where_ permission grants should be materialized.
}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.abbey.io/reference/grant-kits.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
